type: google.api.Service
config_version: 3
name: retail.googleapis.com
title: Retail API

apis:
- name: google.cloud.retail.v2.CatalogService
- name: google.cloud.retail.v2.CompletionService
- name: google.cloud.retail.v2.PredictionService
- name: google.cloud.retail.v2.ProductService
- name: google.cloud.retail.v2.SearchService
- name: google.cloud.retail.v2.UserEventService

types:
- name: google.cloud.retail.logging.ErrorLog
- name: google.cloud.retail.v2.AddFulfillmentPlacesMetadata
- name: google.cloud.retail.v2.AddFulfillmentPlacesResponse
- name: google.cloud.retail.v2.ImportCompletionDataResponse
- name: google.cloud.retail.v2.ImportErrorsConfig
- name: google.cloud.retail.v2.ImportMetadata
- name: google.cloud.retail.v2.ImportProductsResponse
- name: google.cloud.retail.v2.ImportUserEventsResponse
- name: google.cloud.retail.v2.PurgeMetadata
- name: google.cloud.retail.v2.PurgeUserEventsResponse
- name: google.cloud.retail.v2.RejoinUserEventsMetadata
- name: google.cloud.retail.v2.RejoinUserEventsResponse
- name: google.cloud.retail.v2.RemoveFulfillmentPlacesMetadata
- name: google.cloud.retail.v2.RemoveFulfillmentPlacesResponse
- name: google.cloud.retail.v2.SetInventoryMetadata
- name: google.cloud.retail.v2.SetInventoryResponse

documentation:
  summary: |-
    Cloud Retail service enables customers to build end-to-end personalized
    recommendation systems without requiring a high level of expertise in
    machine learning, recommendation system, or Google Cloud.
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    description: Gets information about a location.

  - selector: google.cloud.location.Locations.ListLocations
    description: Lists information about the supported locations for this service.

backend:
  rules:
  - selector: 'google.cloud.retail.v2.ProductService.*'
    deadline: 30.0
  - selector: google.cloud.retail.v2.ProductService.ImportProducts
    deadline: 300.0
  - selector: google.cloud.retail.v2.UserEventService.ImportUserEvents
    deadline: 300.0
  - selector: google.cloud.retail.v2.UserEventService.PurgeUserEvents
    deadline: 30.0
  - selector: google.longrunning.Operations.ListOperations
    deadline: 300.0

http:
  rules:
  - selector: google.longrunning.Operations.GetOperation
    get: '/v2/{name=projects/*/locations/*/operations/*}'
    additional_bindings:
    - get: '/v2/{name=projects/*/locations/*/catalogs/*/operations/*}'
    - get: '/v2/{name=projects/*/locations/*/catalogs/*/branches/*/operations/*}'
  - selector: google.longrunning.Operations.ListOperations
    get: '/v2/{name=projects/*/locations/*}/operations'
    additional_bindings:
    - get: '/v2/{name=projects/*/locations/*/catalogs/*}/operations'

authentication:
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.location.Locations.ListLocations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2.CatalogService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2.CompletionService.CompleteQuery
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2.CompletionService.ImportCompletionData
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2.PredictionService.Predict
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2.ProductService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2.SearchService.Search
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2.UserEventService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.GetOperation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.ListOperations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
